<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.boot.module.hygf.api.tdenginemapper.MonthGenerateMapper">
    <select id="selectPagenewMonthGenerate"  resultType="com.yeejoin.amos.boot.module.hygf.api.entity.MonthGenerate">
        SELECT
        *
        FROM house_pv_data.td_hygf_station_month_generate
        <where>
            <if test="dto!=null">
                third_station_id in
                <foreach collection="dto" item="item" index="index" open="(" separator="," close=")">
                    #{item}
                </foreach>
            </if>
            <if test="dateTime!=null and dateTime != ''">
             and   month_time = #{dateTime}
            </if>
            <if test="stationState!=null and stationState != ''">
                and station_state = #{stationState}
            </if>
        </where>
        LIMIT #{current} ,#{size}
    </select>

</mapper>